Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultCompoundingFormulaType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultCompoundingFormulaType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultCompoundingFormulaType extends Object implements Serializable

Java class for ConsultCompoundingFormulaType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCompoundingFormulaType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Synonym" type="{urn:be:fgov:ehealth:dics:protocol:v5}SynonymType" maxOccurs="unbounded"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="CodeType" type="{http://www.w3.org/2001/XMLSchema}string" default="CNK" />
           <attribute name="ProductId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultCompoundingFormulaType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `String`
  `getCode()`
  Formulas are uniquely identified by a CNK code.
  `String`
  `getCodeType()`
  Code Type for Compounding Formulas is always CNK.
  `String`
  `getProductId()`
  Code uniquely identifying a prescribable product on a specific date.
  `List<SynonymType>`
  `getSynonyms()`
  Gets the value of the synonyms property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setCodeType(String value)`
  Sets the value of the codeType property.
  `void`
  `setProductId(String value)`
  Sets the value of the productId property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultCompoundingFormulaType

    public ConsultCompoundingFormulaType()

- ## Method Details

  - ### getSynonyms

    public List<SynonymType> getSynonyms()
    Gets the value of the synonyms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the synonyms property.

    For example, to add a new item, do as follows:

         getSynonyms().add(newItem);

    Objects of the following type(s) are allowed in the list `SynonymType`

    Returns:
      The value of the synonyms property.

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getCode

    public String getCode()
    Formulas are uniquely identified by a CNK code.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getCodeType

    public String getCodeType()
    Code Type for Compounding Formulas is always CNK. Code Type is present in the KeyType for uniformity with other SAM components.
    Returns:
      possible object is `String`

  - ### setCodeType

    public void setCodeType(String value)
    Sets the value of the codeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCodeType()`

  - ### getProductId

    public String getProductId()
    Code uniquely identifying a prescribable product on a specific date. Used to prove the consultation of SAM.
    Returns:
      possible object is `String`

  - ### setProductId

    public void setProductId(String value)
    Sets the value of the productId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductId()`